MatrixSetCoordinatesCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetCoordinatesCommand:

## Public Member Functions

| MatrixSetCoordinatesCommand (Matrix *, double, double, double, double, double, double, double, double, const QString &)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

Matrix * | d_matrix
double | d_new_xe
double | d_new_xs
double | d_new_ye
double | d_new_ys
double | d_old_xe
double | d_old_xs
double | d_old_ye
double | d_old_ys

## Constructor & Destructor Documentation

## MatrixSetCoordinatesCommand()

MatrixSetCoordinatesCommand::MatrixSetCoordinatesCommand | ( | Matrix * | m,
|  | double | oxs,
|  | double | oxe,
|  | double | oys,
|  | double | oye,
|  | double | nxs,
|  | double | nxe,
|  | double | nys,
|  | double | nye,
|  | const QString & | text
| ) |  |

## Member Function Documentation

## redo()

void MatrixSetCoordinatesCommand::redo | ( |  | ) |

virtual

References d_matrix, d_new_xe, d_new_xs, d_new_ye, d_new_ys, and Matrix::setCoordinates().

## undo()

void MatrixSetCoordinatesCommand::undo | ( |  | ) |

virtual

References d_matrix, d_old_xe, d_old_xs, d_old_ye, d_old_ys, and Matrix::setCoordinates().

## Member Data Documentation

## d_matrix

Matrix* MatrixSetCoordinatesCommand::d_matrix

private

Referenced by redo(), and undo().

## d_new_xe

double MatrixSetCoordinatesCommand::d_new_xe

private

Referenced by redo().

## d_new_xs

double MatrixSetCoordinatesCommand::d_new_xs

private

Referenced by redo().

## d_new_ye

double MatrixSetCoordinatesCommand::d_new_ye

private

Referenced by redo().

## d_new_ys

double MatrixSetCoordinatesCommand::d_new_ys

private

Referenced by redo().

## d_old_xe

double MatrixSetCoordinatesCommand::d_old_xe

private

Referenced by undo().

## d_old_xs

double MatrixSetCoordinatesCommand::d_old_xs

private

Referenced by undo().

## d_old_ye

double MatrixSetCoordinatesCommand::d_old_ye

private

Referenced by undo().

## d_old_ys

double MatrixSetCoordinatesCommand::d_old_ys

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp